VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::StorageBacking::Type Class Reference
Inheritance diagram for Com::Vmware::Content::Library::StorageBacking::Type:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Content::Library::StorageBacking::Type` enumerated type specifies the type of the class Com::Vmware::Content::Library::StorageBacking . Constant Com::Vmware::Content::Library::StorageBacking::Type::DATASTORE # The content of the library will be stored on a datastore.

These are vCenter Server managed datastores, and are logical containers that hide specifics of each storage device. Depending on the type of storage you use, datastores can be backed by the following file system formats:

- Virtual Machine File System (VMFS)
- Network File System (NFS)

Constant Com::Vmware::Content::Library::StorageBacking::Type::OTHER # The content of the library will be stored on a remote file system.

Supports the following remote file systems:

- NFS (on vCenter Server Appliance)
- SMB (on vCenter Server Appliance and vCenter Server for Windows)

## Member Function Documentation

public method Com::Vmware::Content::Library::StorageBacking::Type::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::StorageBacking::Type enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.content.library.storage_backing.type',
'binding_class' => 'Com::Vmware::Content::Library::StorageBacking::Type');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/StorageBacking.pm